package cn.flea.chexnetmaster.service.impl;

import cn.flea.chexnetmaster.dao.PyDao;
import cn.flea.chexnetmaster.pojo.Result;
import cn.flea.chexnetmaster.service.PyService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

@Service
public class PyServiceA implements PyService {
    @Autowired
    private PyDao pyDao;
    @Override
    public Result processImg(String InputImage) {
        String OutputImage = this.modifyFileName(InputImage);
        return pyDao.processImg(InputImage, OutputImage);
    }

    public static String modifyFileName(String fileName) {
        int dotIndex = fileName.lastIndexOf(".");
        if (dotIndex == -1) {
            return fileName + "_out"; // 如果没有扩展名，直接添加_out
        }
        String namePart = fileName.substring(0, dotIndex);
        String extensionPart = fileName.substring(dotIndex);
        return namePart + "_out" + extensionPart;
    }
}
